[SOLVED] VISION SECURITY Z-WAVE USB Gen5 controller

Tags: #<Tag:0x00007f74644ff058> #<Tag:0x00007f74644fee00> #<Tag:0x00007f74644fec98>

Hi
Has anyone used the VISION SECURITY Z-WAVE USB Gen5 controller (VIS_ZU1401-5) on OpenHAB 2.2 ?
Thanks.

You are probably one of only a couple of people running a version that old. Although Z-Wave controllers are basically handled all the same, our developer strongly recommends running a 2.5 series version of the binding.

Many of us are finding OH 2.5 Milestone 4 stable for daily use. If you are not that adventurous, you should upgrade at least to the latest stable, 2.4. If needed you can install the newest Z-Wave binding on that version using a manual installation script.

Please note there were many architectural and build system changes between Milestone 1 & Milestone 2 of 2.5. That may be another reason to consider upgrading toMilestone 4 and to 2.5 when it is released later this year.

Thank you, Bruce
I’ve upgdraded to 2.4 version and ordered the controller.
I will post my tests.

You may want to update your zwave binding to a later version if the stick does not work. Chris recommends a 2.5 version of the binding due to improvements. The binding can be manually updated separate from OpenHAB core.

Done.
I’ve upgraded to last stable 2.4 and installed the newest Z-Wave binding (snapshot) and … all works !
Upgrade steps:

  1. Uninstall stable Z-Wave binding using Paper UI
  2. Importorg.eclipse.smarthome.io.transport.serial” (from console: feature:install openhab-transport-serial)
  3. Uploadorg.apache.servicemix.bundles.xstream-1.4.7_1.jar” in addons folder
  4. Uploadorg.openhab.binding.zwave-2.5.0-20191108.032738-143.jar” in addons folder
  5. Restart
    Thank you.
1 Like

This all reduces to one step in Karaf, which will resolve the dependencies for you…

bundle:update https://openhab.jfrog.io/openhab/online-repo-snapshot/2.5/org/openhab/addons/bundles/org.openhab.binding.zwave/2.5.0-SNAPSHOT/org.openhab.binding.zwave-2.5.0-SNAPSHOT.jar
3 Likes